Servers - Bug #818

[git] git:// URLs don't work for personal repositories.
2015-10-02 08:55 PM - lukeshu

Status: open % Done: 0%
Priority: bug

Assignee: lukeshu

Category:

Description

Indicates that git-daemon is mis-configured.

History

#1 - 2015-11-01 07:10 AM - lukeshu

So the issue is that git-daemon is trying to be too smart.

Desired transaction:

Client: please send me ~lukeshu/nshd.git

Daemon: —--base-path=/srv/git, so I'm looking up /srv/git/~lukeshu/nshd.git
but instead what happens is

Daemon: Oh! The path starts with a tilde,

so I should look up in that user's home directory, instead of in —--base-path.
But wait, —--user-path isn't set, so I shouldn't go to his home directory.

Ha, security-breaker! You haven't fooled me, I'll reject the request!

You can't trick me into serving a user's home directory!

When it obviously should just look in base-path if --user-path isn't enabled, instead of killing the request.

#2 - 2016-01-30 04:46 PM - lukeshu

- Subject changed from git// URL doesn't work for ~lukeshu/nshd.git, presumably other repositories too. to [projects] git:// URLs don't work for personal
repositories.

#3 - 2017-02-05 05:00 PM - lukeshu

- Subject changed from [projects] git:// URLs don't work for personal repositories. to [git] git:// URLs don't work for personal repositories.
